Skip to main content
GET
/
transfer
/
fiat-accounts
List Fiat Accounts
curl --request GET \
  --url https://api.paxos.com/v2/transfer/fiat-accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/transfer/fiat-accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/transfer/fiat-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "dde1b3c5-d02a-48f6-8d11-16b4f532ea49",
      "ref_id": "test_ref_id_1",
      "identity_id": "c6ea91da-8f33-4545-9bdf-3cf29b4041d7",
      "account_id": "91f91384-30d4-46c2-9118-7f3cec676a2c",
      "fiat_account_owner": {
        "person_details": null
      },
      "fiat_network_instructions": {
        "wire": {
          "account_number": "XXXX5678",
          "fiat_account_owner_address": null,
          "routing_details": {
            "routing_number_type": "ABA",
            "routing_number": "123456789",
            "bank_name": "Customers Bank",
            "bank_address": null
          },
          "status": "PENDING",
          "metadata": {
            "test_ref_id": "47aa7538-e2d2-47b3-8600-44a7965dd357",
            "transaction_attempt": 1
          }
        }
      },
      "created_at": "2023-09-24T14:15:22Z",
      "updated_at": "2023-09-24T14:15:22Z"
    }
  ]
}
OAuth Scope
transfer:read_fiat_account

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

ids
string[]

Optionally filter by the UUIDs of the accounts. Limit 100.

ref_ids
string[]

Optionally filter by the client-specified IDs provided during account creation. Limit 100.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered. Defaults to CREATED_AT.

Available options:
CREATED_AT
page_cursor
string

Optional: Cursor for getting the next page of results.

include_deleted
boolean

Used to include deleted accounts in the response.

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string